Bug 1234738 - perl-Mail-GnuPG-0.21-5.fc23 FTBFS: gpg-agent[31178]: command 'GET_PASSPHRASE' failed: No such file or directory <Pinentry>
Summary: perl-Mail-GnuPG-0.21-5.fc23 FTBFS: gpg-agent[31178]: command 'GET_PASSPHRASE'...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mail-GnuPG
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 07:19 UTC by Petr Pisar
Modified: 2016-11-24 13:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 13:13:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-06-23 07:19:32 UTC
perl-Mail-GnuPG-0.21-5.fc23 fails to build in F23 because tests fail:

t/99.pod.t ............... ok
gpg-agent[31177]: directory '/builddir/build/BUILD/Mail-GnuPG-0.21/mgtZOWG1/.gnupg/private-keys-v1.d' created
gpg-agent[31178]: gpg-agent (GnuPG) 2.1.5 started
# GPG_AGENT_INFO: /builddir/build/BUILD/Mail-GnuPG-0.21/mgtZOWG1/.gnupg/S.gpg-agent:31178:1
gpg-agent[31178]: command 'GET_PASSPHRASE' failed: No such file or directory <Pinentry>
#   Failed test 'signing'
#   at t/agent.t line 101.
#          got: '2'
#     expected: '0'
# gpg: problem with the agent - disabling agent use
# gpg: can't query passphrase in batch mode
# gpg: Invalid passphrase; please try again ...
# gpg: can't query passphrase in batch mode
# gpg: Invalid passphrase; please try again ...
# gpg: can't query passphrase in batch mode
# gpg: no default secret key: bad passphrase
# gpg: signing failed: bad passphrase
#   Failed test at t/agent.t line 104.
#          got: '2'
#     expected: '0'
#   Failed test at t/agent.t line 105.
#          got: undef
#     expected: 'EFEA4EAD'
#   Failed test at t/agent.t line 106.
#          got: undef
#     expected: 'Mail::GnuPG Test Key <mail@gnupg.dom>'
gpg-agent[31178]: command 'GET_PASSPHRASE' failed: No such file or directory <Pinentry>
#   Failed test at t/agent.t line 115.
#          got: '2'
#     expected: '0'
Unknown Content-Type or no PGP message in body at /builddir/build/BUILD/Mail-GnuPG-0.21/blib/lib/Mail/GnuPG.pm line 404.
# Looks like you planned 20 tests but ran 8.
# Looks like you failed 5 tests of 8 run.
# Looks like your test exited with 32 just after 8.
gpg-agent[31178]: can't connect my own socket: IPC connect call failed
gpg-agent[31178]: this process is useless - shutting down
t/agent.t ................ 
Dubious, test returned 32 (wstat 8192, 0x2000)
Failed 17/20 subtests 

Difference between working and failing build root:

        gnupg2 	2.1.4-2.fc23 	> 	2.1.5-1.fc23
	tzdata 	2015d-1.fc23 	> 	2015d-3.fc23

Comment 1 Ralf Corsepius 2015-06-23 10:40:31 UTC
Seem to me as if this package is completely incompatible with gnupg2 > 2.1.5.

Nothing in Fedora seems to use it, so I am inclined to consider 
retiring it. Opinions?

Comment 2 Fedora Admin XMLRPC Client 2015-06-25 11:00:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jan Kurik 2015-07-15 13:55:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora End Of Life 2016-11-24 11:56:53 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Petr Pisar 2016-11-24 13:13:50 UTC
This package was removed from Fedora 23.


Note You need to log in before you can comment on or make changes to this bug.